Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.common
Interface ThingsConstants

    public interface ThingsConstants

Immutable constants of the universe, from plank's to PI.

Version:
  1.0

  Version History

      EPG - Initial - 14 NOV 02

Author:
  Erich P. Gatejen

Field Summary
`static java.lang.String` | `A_NOBODY`
`static java.lang.String` | `A_NOTHING`
`static java.lang.String` | `AN_UNKNOWN`
`static java.lang.String` | `CHEAP_LINESEPARATOR`
`static char` | `CODEC_EQUALITY`
`static char` | `CODEC_ESCAPE_CHARACTER`
`static char` | `CODEC_PROPERTY_ESCAPE_CHARACTER`
`static char` | `CODEC_QUOTING`
`static char` | `CODEC_SEPARATOR_CHARACTER`
`static java.lang.String` | `CODEC_SEPARATOR_CHARACTER_ESCAPED`
`static java.lang.String` | `COPYRIGHT_NOTICE`
`static char` | `CR`
`static java.lang.String` | `CRLF`
`static int` | `DEFAULT_TRANSPORT_CONNECT_RETRIES` Transport constants.
`static int` | `DEFAULT_TRANSPORT_CONNECT_RETRY_DELAY`
`static java.lang.String` | `EMPTY_STRING`
`static java.lang.String` | `EPIC_FAIL`
`static int` | `FALSE`
`static int` | `FS_FILE_DELETE_RETRIES` Platform constants.
`static int` | `KERNEL_LOCK_TRY_LIMIT_MILLIS` System constants.
`static char` | `LF`
`static java.lang.String` | `NEWLINE`
`static char` | `PATH_SEPARATOR`
`static java.lang.String` | `PATH_SEPARATOR_STRING`
`static boolean` | `TROOF`
`static int` | `TRUE`
`static boolean` | `WAYSA`

Field Detail

### TRUE

    static final int TRUE

See Also:
  Constant Field Values

### FALSE

    static final int FALSE

See Also:
  Constant Field Values

### TROOF

    static final boolean TROOF

See Also:
  Constant Field Values

### WAYSA

    static final boolean WAYSA

See Also:
  Constant Field Values

### PATH_SEPARATOR

    static final char PATH_SEPARATOR

See Also:
  Constant Field Values

### PATH_SEPARATOR_STRING

    static final java.lang.String PATH_SEPARATOR_STRING

See Also:
  Constant Field Values

### CODEC_SEPARATOR_CHARACTER

    static final char CODEC_SEPARATOR_CHARACTER

See Also:
  Constant Field Values

### CODEC_SEPARATOR_CHARACTER_ESCAPED

    static final java.lang.String CODEC_SEPARATOR_CHARACTER_ESCAPED

See Also:
  Constant Field Values

### CODEC_ESCAPE_CHARACTER

    static final char CODEC_ESCAPE_CHARACTER

See Also:
  Constant Field Values

### CODEC_PROPERTY_ESCAPE_CHARACTER

    static final char CODEC_PROPERTY_ESCAPE_CHARACTER

See Also:
  Constant Field Values

### CODEC_EQUALITY

    static final char CODEC_EQUALITY

See Also:
  Constant Field Values

### CODEC_QUOTING

    static final char CODEC_QUOTING

See Also:
  Constant Field Values

### CR

    static final char CR

See Also:
  Constant Field Values

### LF

    static final char LF

See Also:
  Constant Field Values

### CRLF

    static final java.lang.String CRLF

See Also:
  Constant Field Values

### NEWLINE

    static final java.lang.String NEWLINE

See Also:
  Constant Field Values

### CHEAP_LINESEPARATOR

    static final java.lang.String CHEAP_LINESEPARATOR

See Also:
  Constant Field Values

### EMPTY_STRING

    static final java.lang.String EMPTY_STRING

See Also:
  Constant Field Values

### A_NOBODY

    static final java.lang.String A_NOBODY

See Also:
  Constant Field Values

### A_NOTHING

    static final java.lang.String A_NOTHING

See Also:
  Constant Field Values

### AN_UNKNOWN

    static final java.lang.String AN_UNKNOWN

See Also:
  Constant Field Values

### EPIC_FAIL

    static final java.lang.String EPIC_FAIL

See Also:
  Constant Field Values

### COPYRIGHT_NOTICE

    static final java.lang.String COPYRIGHT_NOTICE

See Also:
  Constant Field Values

### KERNEL_LOCK_TRY_LIMIT_MILLIS

    static final int KERNEL_LOCK_TRY_LIMIT_MILLIS

  System constants.

  See Also:
    Constant Field Values

### FS_FILE_DELETE_RETRIES

    static final int FS_FILE_DELETE_RETRIES

  Platform constants.

  See Also:
    Constant Field Values

### DEFAULT_TRANSPORT_CONNECT_RETRIES

    static final int DEFAULT_TRANSPORT_CONNECT_RETRIES

  Transport constants.

  See Also:
    Constant Field Values

### DEFAULT_TRANSPORT_CONNECT_RETRY_DELAY

    static final int DEFAULT_TRANSPORT_CONNECT_RETRY_DELAY

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.